package com.dsk.cscec.domain;

import lombok.Data;

import java.util.Date;
import java.io.Serializable;

/**
 * (FAdsBsiKpiProjTwo)实体类
 *
 * @author sxk
 * @since 2024-01-12 13:41:23
 */
@Data
public class FAdsBsiKpiProjTwo implements Serializable {
    private static final long serialVersionUID = -95800372397949291L;
    /**
     * 组织机构id
     */
    private String orgId;
    /**
     * 项目id
     */
    private String projectId;
    /**
     * 归属月份
     */
    private String monthCode;
    /**
     * 流程状态
     */
    private String flowState;
    /**
     * 商务状态
     */
    private String businessState;
    /**
     * 项目状态
     */
    private String projectState;
    /**
     * 业主结算状态
     */
    private String ownerbalanceState;
    /**
     * 分包结算状态
     */
    private String subbalanceState;
    /**
     * 财务清算状态
     */
    private String financeState;
    /**
     * 合同签订月份
     */
    private String contractSignMonth;
    /**
     * 合同金额
     */
    private Double contractValue;
    /**
     * 合同自施金额
     */
    private Double contractSelfValue;

    private Double contractExecuteValue;

    private Double sideContractValue;

    private Double claimContractValue;
    /**
     * 商务自施额
     */
    private Double businessSelfValue;
    /**
     * 预收益额
     */
    private Double estimatedEarning;
    /**
     * 预收益率
     */
    private Double estimatedEarningRate;
    /**
     * 实际收益额
     */
    private Double actualEarning;

    private Double actualEarningRateSelf;
    /**
     * 实际收益率
     */
    private Double actualEarningRate;

    private Double monthImagerevenue;

    private Double monthImagerevenueExcl;
    /**
     * 年收入
     */
    private Double yearRevenue;

    private Double yearRevenueExcl;

    private Double ttlImagerevenue;

    private Double ttlImagerevenueExcl;
    /**
     * 月自施收入
     */
    private Double monthSelfRevenue;

    private Double monthSelfRevenueExcl;
    /**
     * 年自施收入
     */
    private Double yearSelfRevenue;

    private Double yearSelfRevenueExcl;

    private Double ttlSelfRevenue;

    private Double ttlSelfRevenueExcl;
    /**
     * 业主批量（含税）本月值
     */
    private Double monthOwnerconfirm;

    private Double monthOwnerconfirmExcl;
    /**
     * 业主批量（含税）本年值
     */
    private Double yearOwnerconfirm;

    private Double yearOwnerconfirmExcl;
    /**
     * 业主批量（含税）累计值
     */
    private Double ttlOwnerconfirm;

    private Double ttlOwnerConfirmExcl;
    /**
     * 工程施工成本本月值
     */
    private Double monthCost;

    private Double monthCostExcl;
    /**
     * 工程施工成本本年值
     */
    private Double yearCost;

    private Double yearCostExcl;
    /**
     * 工程施工成本累计值
     */
    private Double ttlCost;

    private Double ttlCostExcl;
    /**
     * 月度总收款
     */
    private Double monthIncome;
    /**
     * 年度总收款
     */
    private Double yearIncome;
    /**
     * 累计总收款
     */
    private Double ttlIncome;
    /**
     * 预收账款余额本月值
     */
    private Double monthPreIncome;
    /**
     * 预收账款余额本年值
     */
    private Double yearPreIncome;
    /**
     * 预收账款余额累计值
     */
    private Double ttlPreIncome;
    /**
     * 预收抵扣余额本月值
     */
    private Double monthPrepayIncome;
    /**
     * 预收抵扣余额本年值
     */
    private Double yearPrepayIncome;
    /**
     * 预收抵扣余额累计值
     */
    private Double ttlPrepayIncome;

    private Double monthPresettle;

    private Double monthPresettleExcl;

    private Double yearPresettle;

    private Double yearPresettleExcl;

    private Double ttlPresettle;

    private Double ttlPresettleExcl;

    private Double monthPay;

    private Double yearPaid;

    private Double ttlPay;

    private Double ttlUnpaidScontractor;

    private Double ttlUnpaidSupplier;

    private Double ttlUnpaid;

    private Double ttlUnpaidScontractor2;

    private Double ttlUnpaidSupplier2;

    private Double ttlUnpaid2;

    private Double monthPayableScontractor;

    private Double monthPayableScontractorExcl;

    private Double yearPayableScontractor;

    private Double yearPayableScontractorExcl;

    private Double ttlPayableScontractor;

    private Double ttlPayableScontractorExcl;

    private Double monthPayableSupplier;

    private Double monthPayableSupplierExcl;

    private Double yearPayableSupplier;

    private Double yearPayableSupplierExcl;

    private Double ttlPayableSupplier;

    private Double ttlPayableSupplierExcl;

    private Double monthContractReceivable;

    private Double ttlContractReceivable;
    /**
     * 应收账款余额
     */
    private Double receivableValue;
    /**
     * 有收款权的应收账款
     */
    private Double hasrightReceivable;

    private Double hasrightOverdue;
    /**
     * 无收款权的应收账款
     */
    private Double norightReceivable;

    private Double norightGuarateeValue;

    private Double norightReceivableOther;

    private Double receivableInventory;

    private Double unbalancedValue;

    private Double unbalancedValueExcl;

    private Double inventoryValue;

    private Double inventoryValueExcl;

    private Double ttlStock;

    private Double projectSettleValue;

    private Double projectSettleSelfValue;

    private Double projectContractValue;

    private Double projectContractSelfValue;

    private Double settleEarning;

    private Double settleEarningSelf;

    private Double projectInchargeCost;

    private Double projectInchargeCostSelf;

    private Double manageEarning;

    private Double manageEarningSelf;

    private Double projectPlanCost;

    private Double projectPlanCostExcl;

    private Double operateEarning;

    private Double operateEarningSelf;

    private Double projectRealCost;

    private Double projectRealCostExcl;

    private Double subcontractFee;

    private Double subcontractFeeExcl;

    private Double laborFee;

    private Double laborFeeExcl;

    private Double materialFee;

    private Double materialFeeExcl;

    private Double machineFee;

    private Double machineFeeExcl;

    private Double tmpdeviceFee;

    private Double tmpdeviceFeeExcl;

    private Double indirectFee;

    private Double indirectFeeExcl;

    private Double otherFee;

    private Double otherFeeExcl;
    /**
     * 项目人数
     */
    private Double personnumProject;

    private Double monthOutput;

    private Double yearOutput;

    private Double ttlOutput;

    private Double monthApprovalSelfExcl;

    private Double monthApprovalSelf;

    private Double yearApprovalSelfExcl;

    private Double yearApprovalSelf;

    private Double ttlApprovalSelfExcl;

    private Double ttlApprovalSelf;

    private Double monthCostSelfExcl;

    private Double monthCostSelf;

    private Double yearCostSelfExcl;

    private Double yearCostSelf;

    private Double ttlCostSelfExcl;

    private Double ttlCostSelf;

    private Double costPlanSelfExcl;

    private Double costPlanSelf;

    private String issumcost;

    private String issumcostmonth;

    private Double monthApplyValue;

    private Double ttlApplyValue;

    private Double monthCrPre;

    private Double monthCrPrepay;

    private Double monthCrStep;

    private Double monthCrSettle;

    private Double monthCrRepair;

    private Double ttlCrPre;

    private Double ttlCrPrepay;

    private Double ttlCrStep;

    private Double ttlCrSettle;

    private Double ttlCrRepair;

    private Double monthStepIncome;

    private Double monthSettleIncome;

    private Double monthRepairIncome;

    private Double ttlStepIncome;

    private Double ttlSettleIncome;

    private Double ttlRepairIncome;
    /**
     * 数据加载时间
     */
    private Date loadTime;

}
