package com.dsk.cscec.domain.bo;

import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 成本汇总Bo
 *
 * @author cyf
 * @since 2024-02-06
 */
@Data
public class CbSummaryBo extends BaseEntity {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 父级id
     */
    private Long parentId;
    /**
     * 层级
     */
    private Integer level;
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 成本阶段( 0:标前成本、1:标后成本、2:转固成本)
     */
    private Integer cbStage;
    /**
     * 项目成本文件id
     */
    private Long cbProjectFileId;
    /**
     * 成本类型（1项目汇总，2成本科目汇总）
     */
    private Integer cbType;

}
