package com.dsk.cscec.domain.bo;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author sxk
 * @date 2024.01.05
 * @time 13:51
 */
@Data
public class SupplierLimitedSearchBo {
    /**
     * 供应商名称
     */
    private String supplierName;
    /**
     * 是否为局名义被诉案件(是/否)
     */
    private String isGroupCase;
    /**
     * 限用/禁用开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date limitedStartTime;
    /**
     * 限用/禁用结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date limitedEndTime;
}
