package com.dsk.cscec.domain.bo;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author sxk
 * @date 2024.01.08
 * @time 09:07
 */
@Data
public class SupplierUnlimitedSearchBo {
    /**
     * 解除限用开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date unlimitedStartTime;
    /**
     * 解除限用结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date unlimitedEndTime;
    /**
     * 申请单位
     */
    private String applyUnit;
}
