package com.dsk.cscec.domain.vo;

import com.dsk.cscec.domain.AdvisoryBody;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author sxk
 * @date 2023.12.13
 * @time 10:32
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AdvisoryBodySearchVo extends AdvisoryBody {
    /**
     * 最近一次合作时间
     */
    private Date lastCooperateTime;
    /**
     * 经营状态
     */
    private String businessStatus;
    /**
     * 法定代表人
     */
    private String corporatePerson;
    /**
     * 注册资本
     */
    private String regCapital;
    /**
     * 注册地区
     */
    private String regArea;
    /**
     * 成立日期
     */
    private String registeredDate;
    /**
     * 经营范围
     */
    private String businessScope;
    /**
     * 合作项目数量
     */
    private Long cooperateProjectCount;
}
