package com.dsk.cscec.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 措施费导入数据
 *
 * @author tanyang
 * @create 2024-02-04 13:49
 **/
@Data
public class CbProjectExpenseSummaryImportVo {



        @ExcelProperty(value = "名称")
        private String expenseName; // 名称

        @ExcelProperty(value = "数值")
        private String expenseValue; // 数值

        @ExcelProperty(value = "占比")
        private String proportion; // 占比


//        @ExcelProperty(value = "序号")
        private String number; // 清单内容

        private Long id; // 主键

        private Long cbProjectId; // 项目ID

        private Long parentId; // 父项id

        private Integer dataType; // 数据类型(0:现场经费、1:其他费用、2:措施费)

        private String no; // 处理后内容

}
