package com.dsk.cscec.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import lombok.Data;

import java.util.Date;

/**
 * 供应商分类查询
 *
 * @author
 * @since 2023-12-10
 */
@Data
@ExcelIgnoreUnannotated
public class CustomerInfoVo {

    private static final long serialVersionUID = 1L;

    /**
     * 客商主键
     */
    private Long customerKey;
    /**
     * ipm供应商id
     */
    private String customerId;
    /**
     * 供应商编号
     */
    private String customerCode;
    /**
     * 供应商名称
     */
    private String customerName;
    /**
     * 供应商状态
     */
    private String customerState;
    /**
     * 推荐公司ID
     */
    private String recommendOrgId;
    /**
     * 推荐公司
     */
    private String recommendOrg;
    /**
     * 注册地区域
     */
    private String registerRegion;
    /**
     * 省份
     */
    private String registerProvince;
    /**
     * 城市
     */
    private String registerCity;
    /**
     * 集团专业类别
     */
    private String groupSpecialty;
    /**
     * 法人代表
     */
    private String representative;
    /**
     * 纳税人身份
     */
    private String paytaxType;
    /**
     * 纳税人税率
     */
    private String taxRate;
    /**
     * 施工承包范围
     */
    private String constructJobScope;
    /**
     * 资质等级
     */
    private String credential;
    /**
     * 注册资金
     */
    private Double registerCapital;
    /**
     * 联系人
     */
    private String contactPerson;
    /**
     * 联系人电话
     */
    private String contactPhone;
    /**
     * 准入时间
     */
    private Date approveDate2;
    /**
     * 供应商类别
     */
    private String customerClass;
    /**
     * 考评等级
     */
    private String creditLevel;
    /**
     * 二级市场企业编码
     */
    private String secondaryCode;
    /**
     * 统一社会信用代码/营业执照号码
     */
    private String unifySocialCode;
    /**
     * 队长名称
     */
    private String leaderName;
    /**
     * 劳务队长身份证号
     */
    private String laborCaptainIdcard;
    /**
     * 劳务队长联系电话
     */
    private String laborCaptainPhone;
    /**
     * 队伍规模人数
     */
    private Double serviceTeamPersonnum;
    /**
     * 专业特长
     */
    private String serviceTeamSpeciality;
    /**
     * 公司合作数量
     */
    private Integer enterpriseCooperationCount;
    /**
     * 合作项目数量
     */
    private Integer projectCooperationCount;
    /**
     * jsk企业id
     */
    private Integer companyId;
    /**
     * 资源平台分类
     */

}
