package com.dsk.cscec.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsk.cscec.domain.AdvisoryBodyProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 咨询机构和项目关联表(AdvisoryBodyProject)表数据库访问层
 *
 * @author makejava
 * @since 2023-12-15 15:57:54
 */
public interface AdvisoryBodyProjectMapper extends BaseMapper<AdvisoryBodyProject> {

    /**
     * 根据咨询机构Cids查询项目Keys
     *
     * @param advisoryBodyCids 咨询机构Cids
     * @return 项目Keys
     */
    List<Long> selectProjectKeysByAdvisoryBodyCids(@Param("advisoryBodyCids") List<Long> advisoryBodyCids);
}

