package com.dsk.cscec.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsk.cscec.domain.AdvisoryBodyCustomFormData;

/**
 * 咨询机构自定义表单数据表(AdvisoryBodyCustomFormData)表服务接口
 *
 * @author sxk
 * @since 2023-12-20 17:33:31
 */
public interface AdvisoryBodyCustomFormDataService extends IService<AdvisoryBodyCustomFormData> {
    /**
     * 编辑自定义表单数据表数据
     *
     * @param customFormData 编辑信息
     * @return 编辑结果
     */
    Integer editCustomFormData(AdvisoryBodyCustomFormData customFormData);
}