package com.dsk.cscec.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsk.cscec.domain.CbProjectOther;
import com.dsk.cscec.domain.bo.CbProjectOtherBo;
import com.dsk.cscec.domain.vo.CbProjectOtherVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 成本-工料汇总基本表(CbQuantitySummary)表服务接口
 *
 * @author lcl
 * @since 2024-02-05 11:06:56
 */
public interface CbProjectOtherService extends IService<CbProjectOther> {

    void importExcelData(MultipartFile file, Long projectId);

    List<Map<String, Object>> listByLevel(Long projectId, int i);

    List<CbProjectOtherVo> selectDataList(CbProjectOtherBo projectOtherBo);
}

