package com.dsk.system.domain;

import java.util.Date;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 系统推送(SysPush)表实体类
 *
 * @author lcl
 * @since 2023-12-14 10:09:24
 */
@Data
@TableName("sys_push")
public class SysPush implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    private Long id;
    /**
     * 推送类型编码
     */
    private String pushTypeCode;
    /**
     * 推送类型
     */
    private String pushType;
    /**
     * 姓名
     */
    private String name;
    /**
     * 联系方式
     */
    private String contact;
    /**
     * 状态 0：正常 1：停用
     */
    private Integer status;

    private Date createTime;

    private String tenantId;
}

