package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;

import java.util.Date;
import java.io.Serializable;

/**
 * 成本汇总-每月成本锁定(CbSummaryActualLock)实体类
 *
 * @author makejava
 * @since 2024-02-19
 */
@Data
public class CbSummaryActualLock implements Serializable {
    private static final long serialVersionUID = 849892917534518164L;
    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 费用日期
     */
    private String expenseDate;
    /**
     * 成本类型（1项目汇总，2成本科目汇总）
     */
    private Integer cbType;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 删除状态(0:否、2:是)
     */
    @TableLogic
    private Integer delFlag;

}
