package com.dsk.cscec.domain.bo;

import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author sxk
 * @date 2024.02.19
 * @time 14:22
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class AddNewCbProjectBo extends EditProjectInfoBo {
    /**
     * 关联ID(关联多个阶段)
     */
    @NotNull(message = "关联ID不能为空")
    private Long relatedId;
    /**
     * 成本阶段(0:标前成本、1:标后成本、2:转固成本)
     */
    @NotNull(message = "成本阶段不能为空")
    private Integer cbStage;
}
