package com.dsk.cscec.domain.bo;

import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

/**
 * @author sxk
 * @date 2024.02.06
 * @time 16:07
 */
@Data
public class AddProjectFileUploadBo {
    /**
     * 文件
     */
    private MultipartFile file;
    /**
     * 项目ID
     */
    @NotNull(message = "项目ID不能为空")
    private Long projectId;
    /**
     * 成本类型
     */
    @NotNull(message = "成本类型不能为空")
    private Integer cbType;
}
