package com.dsk.cscec.domain.bo;

import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.List;

/**
 * 咨询机构合作记录查询
 *
 * @author
 * @since 2023-12-14
 */
@Data
public class AdvisoryBodyBo extends BaseEntity {

    /**
     * 咨询机构ID
     */
    private Long advisoryBodyId;
    /**
     * 咨询机构cid(用于查询建设库数据)
     */
    private Integer advisoryBodyCid;
    /**
     * 项目主键(用作关联d_project)
     */
    private Long projectKey;
    /**
     * 咨询机构名称
     */
    private String advisoryBodyName;

    /**
     * 项目承接单位id
     */
    private String contractOrgId;
    /**
     * 项目承接单位
     */
    private String contractOrgName;
    /**
     * 区域
     */
    private List<String> area;
    /**
     * 省份
     */
    private List<String> province;
    /**
     * 城市
     */
    private List<String> city;
    /**
     * 项目承接类型
     */
    private String isinvestproject;
    /**
     * 工程基础大类
     */
    private String projectType1;
    /**
     * 工程类别明细
     */
    private String projectType2;
}

