package com.dsk.cscec.domain.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class CbCostMeasureActualSaveBo {

    /**
     * 主键
     */
    private Long id;

    /**
     * 计划成本措施费id
     */
    @TableField(value = "plan_measure_id")
    private Long planMeasureId;

    /**
     * 本月发生成本比例
     */
    @TableField(value = "month_cost_rate")
    private BigDecimal monthCostRate;

    /**
     * 成本合价
     */
    @TableField(value = "cost_effective")
    private BigDecimal costEffective;

    /**
     * 截止本月工程量
     */
    @TableField(value = "current_project_volume")
    private BigDecimal currentProjectVolume;

    /**
     * 推送工程量
     */
    @TableField(value = "submit_project_volume")
    private BigDecimal submitProjectVolume;

    /**
     * 年月
     */
    @TableField(value = "`month`")
    private String month;

    /**
     * 推送时间
     */
    @TableField(value = "push_time")
    private Date pushTime;

    /**
     * 推送数据json
     */
    @TableField(value = "push_data_json")
    private String pushDataJson;

    /**
     * 修改人
     */
    @TableField(value = "update_user")
    private String updateUser;

    /**
     * 修改人id
     */
    @TableField(value = "update_id")
    private String updateId;




}