package com.dsk.cscec.domain.bo;

import lombok.Data;

/**
 * @author sxk
 * @date 2024.02.18
 * @time 15:04
 */
@Data
public class CbProjectHistorySearchBo {
    /**
     * 项目ID
     */
    private Long projectId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * IPM项目编码
     */
    private String ipmProjectNo;
    /**
     * 成本阶段(0:标前成本、1:标后成本、2:转固成本)
     */
    private Integer cbStage;
    /**
     * 项目文件状态(1:解析中、2:解析成功、3:解析失败)
     */
    private Integer projectFileStatus;
}
