package com.dsk.cscec.domain.bo;

import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 成本汇总-列表查询Bo
 *
 * @author cyf
 * @since 2024-02-06
 */
@Data
public class CbSummaryActualListBo extends BaseEntity {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 成本阶段( 0:标前成本、1:标后成本、2:转固成本)
     */
    private Integer cbStage;
    /**
     * 成本类型（1项目汇总，2成本科目汇总）
     */
    private Integer cbType;
    /**
     * 费用日期
     */
    private String expenseDate;

}
