package com.dsk.cscec.domain.bo;

import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 成本汇总-每月成本锁定(CbSummaryActualLock)bo
 *
 * @author cyf
 * @since 2024-02-19
 */
@Data
public class CbSummaryActualLockBo  extends BaseEntity {
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 费用日期
     */
    private String expenseDate;
    /**
     * 成本类型（1项目汇总，2成本科目汇总）
     */
    private Integer cbType;
}
