package com.dsk.cscec.domain.bo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author sxk
 * @date 2023.12.14
 * @time 14:17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CooperateProjectDetailSearchBo {
    /**
     * 咨询机构CID
     */
    @NotNull(message = "咨询机构CID不能为空")
    private Long advisoryBodyCid;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 省
     */
    private List<String> provinceName;
    /**
     * 市
     */
    private List<String> cityName;
    /**
     * 项目承接类型
     */
    private List<String> isinvestproject;

    /**
     * 工程基础大类
     */
    private List<String> projectType1;

    /**
     * 工程类别明细
     */
    private List<String> projectType;
}
