package com.dsk.cscec.domain.bo;

import lombok.Data;

import java.util.List;

/**
 * 供应商合作记录
 *
 * @author
 * @since 2023-12-18
 */
@Data
public class CustomerCooperationBo {
    /**
     * 签订单位ID
     */
    private String signOrgId;
    /**
     * 签订单位名称
     */
    private String signOrgName;
    /**
     * 供应商ID
     */
    private String customerId;
    /**
     * 供应商名称
     */
    private String customerName;
    /**
     * 区域名称
     */
    private List<String> areaName;
    /**
     * 省份名称
     */
    private List<String> provinceName;
    /**
     * 城市名称
     */
    private List<String> cityName;

}
