package com.dsk.cscec.domain.vo;

import lombok.Data;

/**
 * 供应商合作记录
 *
 * @author
 * @since 2023-12-18
 */
@Data
public class CustomerCooperationVo {
    /**
     * 分包合同主键
     */
    private Long subcontractKey;
    /**
     * 分包合同ID
     */
    private String subcontractId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 分包合同金额
     */
    private Double subcontractValue;
    /**
     * 签订单位ID
     */
    private String signOrgId;
    /**
     * 签订单位名称
     */
    private String signOrgName;
    /**
     * 合同签订日期
     */
    private String signDate;
    /**
     * 分包范围
     */
    private String jobScope;
    /**
     * 结算价
     */
    private Double settleValue;
    /**
     * 区域名称
     */
    private String areaName;
    /**
     * 省份名称
     */
    private String provinceName;
    /**
     * 城市名称
     */
    private String cityName;
    /**
     * 项目经理名称
     */
    private String projectManagerName;
    /**
     * 项目经理电话
     */
    private String projectManagerPhone;
    /**
     * 工程类型名称
     */
    private String projectType2;
}
