package com.dsk.cscec.domain.vo;

import lombok.Data;

import java.util.Date;

/**
 * @author sxk
 * @date 2024.01.05
 * @time 14:14
 */
@Data
public class SupplierLimitedSearchVo {
    /**
     * 主键id
     */
    private String fid;
    /**
     * 单据编号
     */
    private String frecordno;
    /**
     * 供应商Cid
     */
    private Integer supplierCid;
    /**
     * 供应商名称(分供方名称)
     */
    private String fsuppliername;
    /**
     * 供应商统一社会信用代码
     */
    private String funifiedsocialcreditcode;
    /**
     * 限用情形
     */
    private String flimitsituation;
    /**
     * 禁用情形
     */
    private String fdisablesituation;
    /**
     * 子企业(限用推送单位)
     */
    private String fjobunitname;
    /**
     * 限用/禁用状态
     */
    private String fstate;
    /**
     * 时间戳(限用/禁用开始日期)
     */
    private Date fts;
}
