package com.dsk.cscec.domain.vo;

import lombok.Data;

import java.util.Date;

/**
 * @author sxk
 * @date 2024.01.05
 * @time 17:47
 */
@Data
public class SupplierUnlimitedSearchVo {
    /**
     * 主键id
     */
    private String fid;
    /**
     * 单据编号
     */
    private String frecordno;
    /**
     * 供应商Cid
     */
    private Integer supplierCid;
    /**
     * 供应商名称(分供方名称)
     */
    private String fsuppliername;
    /**
     * 供应商统一社会信用代码
     */
    private String funifiedsocialcreditcode;
    /**
     * 解除限用理由
     */
    private String frelievereason;
    /**
     * 子企业(申请单位)
     */
    private String fjobunitname;
    /**
     * 解除前状态(原限用/禁用)
     */
    private String fbeforestate;
    /**
     * 限用日期
     */
    private Date flimitdate;
    /**
     * 时间戳(解除限用/禁用开始日期)
     */
    private Date fts;
}
