package com.dsk.cscec.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsk.cscec.domain.CbSummaryActualLock;
import com.dsk.cscec.domain.bo.CbSummaryBo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 成本汇总-每月成本锁定(CbSummaryActualLock)表数据库访问层
 *
 * @author makejava
 * @since 2024-02-19
 */
public interface CbSummaryActualLockMapper extends BaseMapper<CbSummaryActualLock> {
    /**
     * 获取已锁定成本月份
     *
     * @param bo
     * @return
     */
    List<String> getLockedList(@Param("bo") CbSummaryBo bo);

}

