package com.dsk.cscec.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsk.cscec.domain.DProjectType;
import com.dsk.cscec.domain.TreeSelect;

import java.util.List;

/**
 * 维表：工程类型，源于IPM(DProjectType)表服务接口
 *
 * @author sxk
 * @since 2024-01-05 11:45:49
 */
public interface DProjectTypeService extends IService<DProjectType> {

    List<TreeSelect> getList(DProjectType type);

    /**
     * 根据工程类型id获取下一级
     *
     * @param projectTypeId
     * @return
     */
    List<DProjectType> getChildren(String projectTypeId);
}
