package com.dsk.monitor.domain.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName PushMonitorInfoDto
 * @Description 推送监控信息
 * @Author Dgm
 * @Date 2023/12/9 9:43
 * @Version
 */
@Data
public class PushMonitorInfo implements Serializable {


    private static final long serialVersionUID = 6732846953537725830L;

    /**
     * 对外开放的id
     */
    private Integer id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 动态次数
     */
    private Integer count;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;

}
