package com.dsk.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 推送记录
 *
 * @Author lcl
 * @Data 2024/1/2 17:02
 */
@Data
@TableName("sys_push_record")
public class SysPushRecord implements Serializable {

    @TableId(value = "id")
    private Long id;
    /**
     * 数据id
     */
    private String dataId;
    /**
     * 推送类型code
     */
    private String push_type_code;
    /**
     * 推送时间
     */
    private Date pushTime;

}
